#!/bin/bash

# Run in debug mode
set -x

#trap  stop_on_error ERR

set -e

# source libraries
source libs/all;


################################################################################
################################################################################
################################################################################
###############################              ###################################
###############################     main     ###################################
###############################              ###################################
################################################################################
################################################################################
################################################################################


controls_with_sudo


user=$(get_user)

# install docker.io
/usr/bin/apt --yes install docker.io


# add user in docker group
usermod -a -G docker $user



exit
